# AssetTrack 📊

**Simple, Powerful, Customizable Asset Management for Teams**

![AssetTrack Interface](extra/AssetTrack_Screenshot1.png)

## Overview

AssetTrack is a lightweight, self-hosted inventory system for physical asset management. Designed for IT teams and small businesses, it offers enterprise-grade customization without complexity:

- 🏷️ **Tailored Fields** - Adapt to any asset type through simple configuration
- 🔄 **CSV Power** - Bulk import/export with intelligent validation
- 👥 **Team Ready** - Secure multi-user access control
- 🔒 **Your Data, Your Rules** - No cloud dependencies
- ⚡ **Essential Only** - No bloat, just core functionality

Built with Python Flask and MySQL for reliability and easy self-hosting.

---

## Key Features

### Custom Data Structure
✔ Define fields through simple configuration (text, numbers, dates, dropdowns)  
✔ Automatic generation of:
  - Database schema
  - Web forms
  - Data tables
  - CSV templates

### Bulk Operations
✔ Import/export assets via CSV  
✔ Smart validation with actionable error messages  

### Modern Interface
✔ Clean Bootstrap 5 interface  
✔ Mobile-responsive design  
✔ Client-side validation  

---

## Technology Stack

| Component       | Technology              | Purpose                     |
|-----------------|-------------------------|-----------------------------|
| Core Framework  | Python Flask            | Backend logic and routing   |
| Database        | MySQL/MariaDB           | Persistent data storage     |
| Frontend        | Bootstrap 5             | Responsive UI components    |
| Security        | Flask-Login             | Authentication system       |

---

## Roadmap

### Planned Features
- 🔍 Advanced search with custom filters  
- 🔐 LDAP/Active Directory integration  
- 🌙 Dark mode support  


## Getting Started

For installation and configuration details, visit our [project wiki](https://git.candifloss.cc/assettrack/wiki).

---

## License & Copyright

© 2025 [candifloss](https://candifloss.cc)  
📜 Licensed under [GNU GPLv3](/LICENSE)  
